Ask Your Question
1

Installing the deprecated kinect stack

asked 2012-03-19 01:48:47 -0500

kameleon gravatar image

updated 2016-10-24 08:33:50 -0500

ngrennan gravatar image

I'm trying to install the old kinect stack that was based on libfreenect because I need it for a SLAM solution that I want to install.

Apparently, the stack source that I downloaded does not come with the freenect source, it should download it from github during make. The problem is that the old github repo for libfreenect is dead, so make breaks when it tries to download it. I downloaded libfreenect elsewhere, but I'm not sure if that will help. Obviously, the simplest solution of copy-pasting the libfreenect into the kinect stack dir doesn't work.

So, how can I successfully install the deprecated kinect stack?

edit retag flag offensive close merge delete

Comments

I think you're solving the wrong problem. What exact functionality does the old Kinect stack provide that openni_camera does not?

Mac gravatar image Mac  ( 2012-03-19 05:48:51 -0500 )edit

I usually work with openni, but this specific SLAM application works with the old stack. I changed the makefile to look for the actual libfreenect repo, but now the connection still times out

kameleon gravatar image kameleon  ( 2012-03-21 00:33:20 -0500 )edit

If it only depends on the stack for (say) point cloud topics, topic remapping will let you use the new stack. If it needs a specific library to link against, that's trickier.

Mac gravatar image Mac  ( 2012-03-21 08:15:02 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2012-04-01 16:50:56 -0500

Kevin gravatar image

You can download the libfreenect code and it still works fine. I seem to have all kinds of trouble with openni on OSX still.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-03-19 01:48:47 -0500

Seen: 201 times

Last updated: Apr 01 '12